Subject: bug#35557: 26.1; false positive: Match data clobbered by buffer modification hooks

From: David Bremner <[email-masked]>
Date: Sun, 30 Jan 2022 15:15:29 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> David Bremner <[email-masked]> writes:
>
>> 1. Save the following as test.el
>>
>> (let ((inhibit-modification-hooks t))
>>   (with-temp-buffer
>>     (insert "P'")
>>     (goto-char (point-min))
>>     (while (re-search-forward "\\([^\\]\\)'" nil t)
>>       (replace-match    "\\1`"))
>>     (buffer-substring (point-min) (point-max))))
>>
>> 2. run "emacs --batch --quick --load ./test.el"
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> I don't seem to be able to reproduce this problem with the current
> Emacs.  Are you still seeing this issue in more recent Emacs versions?

I can't duplicate it with Debian's 27.1, so it's probably safe to close,

Cheers

David